<div class="main-content pad">
    <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">edit</i>
	                        </div>
						    <h4 class="card-title">
						        <span>Create User Baru</span>
						    </h4>
							</div>
    <div class="card-body">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <div>
                <jhi-alert-error></jhi-alert-error>
               <!-- <div class="form-group" [hidden]="!user.id">
                    <label jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" name="id" formControlName="id" readonly>
                </div>-->

                <div class="form-group">
                    <label class="form-control-label">Username</label>
                    <input type="text" class="form-control" name="login"
                           formControlName="login">

                    <div *ngIf="editForm.get('login')!.invalid && (editForm.get('login')!.dirty || editForm.get('login')!.touched)">
                        <small class="form-text text-danger"
                        *ngIf="editForm.get('login')?.errors?.required" jhiTranslate="entity.validation.required">
                            This field is required.
                        </small>

                        <small class="form-text text-danger"
                        *ngIf="editForm.get('login')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength"
                        [translateValues]="{max: 50}">
                            This field cannot be longer than 50 characters.
                        </small>

                        <small class="form-text text-danger"
                        *ngIf="editForm.get('login')?.errors?.pattern" jhiTranslate="entity.validation.patternLogin">
                            This field can only contain letters, digits and e-mail addresses.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label">Password</label>
                    <input type="text" class="form-control" name="password"
                           formControlName="password">

                    <div *ngIf="editForm.get('password')!.invalid && (editForm.get('password')!.dirty || editForm.get('password')!.touched)">
                        <small class="form-text text-danger"
                        *ngIf="editForm.get('password')?.errors?.required" jhiTranslate="entity.validation.required">
                            This field is required.
                        </small>

                        <small class="form-text text-danger"
                        *ngIf="editForm.get('password')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength"
                        [translateValues]="{max: 50}">
                            This field cannot be longer than 50 characters.
                        </small>

                        <small class="form-text text-danger"
                        *ngIf="editForm.get('password')?.errors?.pattern" jhiTranslate="entity.validation.patternLogin">
                            This field can only contain letters, digits and e-mail addresses.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="userManagement.firstName">First Name</label>
                    <input type="text" class="form-control" name="firstName"
                           formControlName="firstName">

                    <div *ngIf="editForm.get('firstName')!.invalid && (editForm.get('firstName')!.dirty || editForm.get('firstName')!.touched)">
                        <small class="form-text text-danger"
                        *ngIf="editForm.get('firstName')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength"
                        [translateValues]="{max: 50}">
                            This field cannot be longer than 50 characters.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label jhiTranslate="userManagement.lastName">Last Name</label>
                    <input type="text" class="form-control" name="lastName"
                        formControlName="lastName">

                    <div *ngIf="editForm.get('lastName')!.invalid && (editForm.get('lastName')!.dirty || editForm.get('lastName')!.touched)">
                        <small class="form-text text-danger"
                        *ngIf="editForm.get('lastName')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength"
                        [translateValues]="{max: 50}">
                            This field cannot be longer than 50 characters.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="userManagement.email">Email</label>
                    <input type="email" class="form-control" name="email" formControlName="email">

                    <div *ngIf="editForm.get('email')!.invalid && (editForm.get('email')!.dirty || editForm.get('email')!.touched)">
                        <small class="form-text text-danger"
                        *ngIf="editForm.get('email')?.errors?.required" jhiTranslate="entity.validation.required">
                            This field is required.
                        </small>

                        <small class="form-text text-danger"
                        *ngIf="editForm.get('email')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength"
                        [translateValues]="{max: 100}">
                            This field cannot be longer than 100 characters.
                        </small>

                        <small class="form-text text-danger"
                        *ngIf="editForm.get('email')?.errors?.minlength" jhiTranslate="entity.validation.minlength"
                        [translateValues]="{min: 5}">
                            This field is required to be at least 5 characters.
                        </small>

                        <small class="form-text text-danger"
                        *ngIf="editForm.get('email')?.errors?.email" jhiTranslate="global.messages.validate.email.invalid">
                            Your email is invalid.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label>Authority</label>
                    <select class="form-control" name="authority" formControlName="auth" (change)="onChangeAut($event.target.value)">
                        <option [value]="1">ROLE_MANAGER</option>
                        <option [value]="2">ROLE_OPERATOR</option>
                        <option [value]="3">ROLE_PENDAMPING</option>
                    </select>
                </div>
                <div class="form-group" [hidden]="hide">
  					<input type="checkbox" id="pisah" name="pisah" value="pisah" (change)="onChangePisah($event.target.value)">
                    <label>Ceklis jika admin pisah data dengan Admin Sehati dan isi lembaganya</label>
				</div>
                <div class="form-group"  [hidden]="hide2">
                    <label>Lembaga</label>
	                <select class="form-control form-control-element textc" id="field_lembaga" name="lembaga" formControlName="lembaga" (change)="onChange($event.target.value)">
                        <option *ngFor="let lem of lembaga" [value]="lem.id">{{lem.name}}</option>
                    </select>
                    <button type="button" class="btn btn-warning" (click)="createLambaga()">
	                    <i class="material-icons">add</i>&nbsp;<span>Input Lembaga Baru</span>
	                </button>
                    <button type="button" class="btn btn-success" (click)="loadLembaga()">
	                    <i class="material-icons">history</i>&nbsp;<span>Refresh</span>
	                </button>
                </div>
            </div>
            <div>
                <button type="button" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span
                    jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
</div>
</div>
</div>
</div>
